%define upstream_name	 Test-WWW-Mechanize
%define upstream_version 1.44

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Testing-specific WWW::Mechanize subclass
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Assert::More)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(HTTP::Server::Simple) >= 0.420.0
BuildRequires: perl(HTTP::Server::Simple::CGI)
BuildRequires: perl(LWP) >= 6.20.0
BuildRequires: perl(Test::Builder::Tester) >= 1.90.0
BuildRequires: perl(Test::LongString) >= 0.150.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(URI::file)
BuildRequires: perl(WWW::Mechanize) >= 1.680.0
BuildArch:  noarch

%description
Test::WWW::Mechanize is a subclass of WWW::Mechanize that incorporates features
for web application testing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# change listening port
perl -pi -e 's/13432/17987/' t/TestServer.pm
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorlib}/Test
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.440.0-2.mga3
+ Revision: 373903
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 1.440.0-1.mga3
+ Revision: 267514
- update to 1.44

* Tue Jun 05 2012 jquelin <jquelin> 1.420.0-1.mga3
+ Revision: 255813
- update to 1.42

* Sat Nov 05 2011 kharec <kharec> 1.380.0-1.mga2
+ Revision: 163538
- update to 1.38

  + jquelin <jquelin>
    - update to 1.36

* Fri Jul 08 2011 jquelin <jquelin> 1.340.0-1.mga2
+ Revision: 120506
- update to 1.34

* Fri Jun 17 2011 jquelin <jquelin> 1.320.0-1.mga2
+ Revision: 108953
- update to 1.32

* Wed Jan 26 2011 jquelin <jquelin> 1.300.0-1.mga1
+ Revision: 41128
- mageia rebuild
- imported package perl-Test-WWW-Mechanize

